You have the latest version of WordPress.

Sponsored Links

You have the latest version of WordPress. You do not need to update. However, if you want to re-install version 3.1, you can do so automatically or download the package and re-install manually: